function [out] = casadi_vec(varargin)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%@Course      : Master Thesis Spring 2018
%@Task        : Function for creating a vector from a set of input
%               arguments 
%@input       : input arguments (varargin)
%            
%@output      : vector (out) 

%@author      : Joris Gillis, Rien Quirynen, Joel Andersson,
%               Sebastien Gros and Moritz Diehl
%@organization: Faculty of Engineering, University of Frieburg, Germany
%@requires    : MATLAB R2016a (not tested in other releases)     
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  out = casadi_struct2vec(casadi_struct(varargin{:}));
end
